package test;

import static org.junit.jupiter.api.Assertions.assertNotNull;

import javax.enterprise.inject.spi.CDI;

import org.jboss.weld.environment.se.Weld;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import regression.SomeBean;

public class ProducerTest {

	@BeforeAll
	public static void initWeld() {
		new Weld().initialize();
	}

	@Test
	public void regression_fails_to_create_bean_through_MethodHandles_throws_WELD_001524() throws Exception {
		var bean = CDI.current().select(SomeBean.class).get();
		assertNotNull(bean);
		assertNotNull(bean.getMyBean());
	}
}
